# Chunk Handling

## Functions

void | lib3ds_chunk_enable_dump (Lib3dsBool enable, Lib3dsBool unknown)
Lib3dsBool | lib3ds_chunk_read (Lib3dsChunk *c, FILE *f)
Lib3dsBool | lib3ds_chunk_read_start (Lib3dsChunk *c, Lib3dsWord chunk, FILE *f)
void | lib3ds_chunk_read_tell (Lib3dsChunk *c, FILE *f)
Lib3dsWord | lib3ds_chunk_read_next (Lib3dsChunk *c, FILE *f)
void | lib3ds_chunk_read_reset (Lib3dsChunk *, FILE *f)
void | lib3ds_chunk_read_end (Lib3dsChunk *c, FILE *f)
Lib3dsBool | lib3ds_chunk_write (Lib3dsChunk *c, FILE *f)
Lib3dsBool | lib3ds_chunk_write_start (Lib3dsChunk *c, FILE *f)
Lib3dsBool | lib3ds_chunk_write_end (Lib3dsChunk *c, FILE *f)
const char * | lib3ds_chunk_name (Lib3dsWord chunk)
void | lib3ds_chunk_unknown (Lib3dsWord chunk)
void | lib3ds_chunk_dump_info (const char *format,...)

## Detailed Description

Author:
  J.E. Hoffmann <je-h@gmx.net>

## Function Documentation

void lib3ds_chunk_dump_info | ( | const char * | format,
|  |  | ...
| ) |

void lib3ds_chunk_enable_dump | ( | Lib3dsBool | enable,
|  | Lib3dsBool | unknown
| ) |

const char* lib3ds_chunk_name | ( | Lib3dsWord | chunk | ) |

Lib3dsBool lib3ds_chunk_read | ( | Lib3dsChunk * | c,
|  | FILE * | f
| ) |

Reads a 3d-Studio chunk header from a little endian file stream.

Parameters:

  | c | The chunk to store the data.
  | f | The file stream.

Returns:
  True on success, False otherwise.

void lib3ds_chunk_read_end | ( | Lib3dsChunk * | c,
|  | FILE * | f
| ) |

Lib3dsWord lib3ds_chunk_read_next | ( | Lib3dsChunk * | c,
|  | FILE * | f
| ) |

void lib3ds_chunk_read_reset | ( | Lib3dsChunk * | ,
|  | FILE * | f
| ) |

Lib3dsBool lib3ds_chunk_read_start | ( | Lib3dsChunk * | c,
|  | Lib3dsWord | chunk,
|  | FILE * | f
| ) |

void lib3ds_chunk_read_tell | ( | Lib3dsChunk * | c,
|  | FILE * | f
| ) |

void lib3ds_chunk_unknown | ( | Lib3dsWord | chunk | ) |

Lib3dsBool lib3ds_chunk_write | ( | Lib3dsChunk * | c,
|  | FILE * | f
| ) |

Writes a 3d-Studio chunk header into a little endian file stream.

Parameters:

  | c | The chunk to be written.
  | f | The file stream.

Returns:
  True on success, False otherwise.

Lib3dsBool lib3ds_chunk_write_end | ( | Lib3dsChunk * | c,
|  | FILE * | f
| ) |

Lib3dsBool lib3ds_chunk_write_start | ( | Lib3dsChunk * | c,
|  | FILE * | f
| ) |